#ifndef ENGINE_GRAPHICS_H
#define ENGINE_GRAPHICS_H

#define RPH_TOTAL_CAMERAS	16

class phArena;
class rgGLCamera;

class GraphicsEngine
{
public:
	GraphicsEngine( GameEngine *ge);
	~GraphicsEngine();

	void clear();
	void process();
	int load_arena( const char *fname);

	rgGLCamera *main_cam() { return m_camera[0];}

	void reset_all_cameras();
private:
	GameEngine *game_engine;
	phArena *m_arena;
	rgGLCamera *m_camera[RPH_TOTAL_CAMERAS];

	void init_gl_state();
	void set_projection();
};

#endif
